Subject: [PATCH 0/9] Improvements to our u-boot tooling

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 20 Dec 2022 11:50:38 -0500

This series include a few changes that were useful or needed to build U-Boot
for the i.MX6, notably installation of the u-boot.imx image.  It also cleans up
things for cross-compilation, no longer explicitly adding cross-gcc and
cross-binutils, leaving the build system taking care of that.

The two first commits of this series were previously submitted as #59761, now
extracted and submitted here for transparency, with fixes for impacted u-boot
packages that broke because the move to use gexps.

Maxim Cournoyer (9):
  gnu: make-u-boot-package: Add a u-boot argument and use gexps.
  gnu: make-u-boot-package: Install .imx files.
  gnu: make-uboot-package: Simplify build.
  gnu: u-boot-pinebook-pro-rk3399: Remove input labels and use gexps.
  gnu: u-boot-firefly-rk3399: Use gexps and fix cross-build.
  gnu: make-u-boot-sunxi64-package: Use gexps and adjust file name.
  gnu: u-boot-rock64-rk3328: Fix build.
  gnu: u-boot-sifive-unmatched: Use gexps and remove inputs.
  gnu: u-boot-puma-rk3399: Use make-u-boot-sunxi64-package.

 gnu/packages/bootloaders.scm | 295 +++++++++++++++++------------------
 1 file changed, 144 insertions(+), 151 deletions(-)

base-commit: 1a3d8b922863c22f612ea679d9419bb457874fdf
-- 
2.38.1